Initialization(3)

NAME
Initialization -

  Functions

CUresult cuInit (unsigned int Flags)
Initialize the CUDA driver API.

Detailed Description

\brief initialization functions of the low-level CUDA driver API (cuda.h)

This section describes the initialization functions of the low-level CUDA driver application programming interface.

Function Documentation

  CUresult cuInit (unsigned int Flags)

Initializes the driver API and must be called before any other function from the driver API. Currently, the Flags parameter must be 0. If cuInit() has not been called, any function from the driver API will return CUDA_ERROR_NOT_INITIALIZED.

Parameters:
    Flags - Initialization flag for CUDA.

Returns:
    CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE, CUDA_ERROR_INVALID_DEVICE

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

Author

Generated automatically by Doxygen from the source code.